/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.kernel.deployment.jboss;

import javax.management.ObjectName;

import org.jboss.deployment.SubDeployerExtMBean;
import org.jboss.mx.util.ObjectNameFactory;

/**
 * MBean interface.
 * 
 * @version $Revision: 1.1.4.4 $
 */
public interface JBossBeanDeployerMBean extends SubDeployerExtMBean
{
   /** The default ObjectName */
   ObjectName OBJECT_NAME = ObjectNameFactory.create("jboss.bean:service=JBossBeanDeployer");
   
   String getExtension();

   void setExtension(String extension);
   
   String getMetaDataURL();
   
   void setMetaDataURL(String metaDataURL);
}
